#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# Fenrir TTY screen reader
# By Chrys, Storm Dragon, and contributors.

from fenrirscreenreader.core.i18n import _


class command:
    def __init__(self):
        pass

    def initialize(self, environment):
        self.env = environment

    def shutdown(self):
        pass

    def get_description(self):
        return _("exit diff review mode")

    def run(self):
        if not self.env["runtime"]["DiffReviewManager"].is_active():
            return
        self.env["runtime"]["DiffReviewManager"].disable_mode()
        self.env["runtime"]["DiffReviewManager"].present_mode_message(
            _("Diff review mode disabled."),
        )

    def set_callback(self, callback):
        pass
